PerfDataPointCollection (Hyperic HQ Plugin API)
Keywords: org.hyperic.image.chart.PerfDataPointCollection class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.image.chart
Class PerfDataPointCollection

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  org.hyperic.image.chart.DataPointCollection
                      org.hyperic.image.chart.PerfDataPointCollection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class PerfDataPointCollection

extends DataPointCollection

See Also:
  Serialized Form

Field Summary
`static int` | `APPSERVER`
`static int` | `ENDUSER`
`static int` | `UNKNOWN`
`static int` | `WEBSERVER`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`PerfDataPointCollection()`

Method Summary
`int` | `getRequest()`
`int` | `getType()`
`java.lang.String` | `getTypeName()`
`java.lang.String` | `getTypeString()`
`java.lang.String` | `getURL()`
`boolean` | `isStacked()`
`void` | `setRequest(int requests)`
`void` | `setType(int type)`
`void` | `setType(int type, java.lang.String name)`
`void` | `setTypeName(java.lang.String name)`
`void` | `setURL(java.lang.String url)`

Methods inherited from class org.hyperic.image.chart.DataPointCollection
`add, addAll, contains, containsAll, remove, removeAll, retainAll`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### ENDUSER

    public static final int ENDUSER

See Also:
  Constant Field Values

### WEBSERVER

    public static final int WEBSERVER

See Also:
  Constant Field Values

### APPSERVER

    public static final int APPSERVER

See Also:
  Constant Field Values

Constructor Detail

### PerfDataPointCollection

    public PerfDataPointCollection()

Method Detail

### getRequest

    public int getRequest()

### getType

    public int getType()

### getTypeName

    public java.lang.String getTypeName()

### getTypeString

    public java.lang.String getTypeString()

### getURL

    public java.lang.String getURL()

### setRequest

    public void setRequest(int requests)

### setType

    public void setType(int type)

### setType

    public void setType(int type,
                        java.lang.String name)

### setTypeName

    public void setTypeName(java.lang.String name)

### setURL

    public void setURL(java.lang.String url)

### isStacked

    public boolean isStacked()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.